Approve Workflow
curl --request POST \
--url https://api.example.com/v1/workflow-approvals/{approval_uuid}/approve \
--header 'Content-Type: application/json' \
--data '
{
"responder_id": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflow-approvals/{approval_uuid}/approve"
payload = { "responder_id": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({responder_id: '<string>'})
};
fetch('https://api.example.com/v1/workflow-approvals/{approval_uuid}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": 123,
"trigger_type": "<string>",
"trigger_context": {},
"reason": "<string>",
"confidence": 123,
"notifier_type": "<string>",
"notifier_channel": "<string>",
"status": "<string>",
"responder_id": "<string>",
"responded_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"execution_result": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workflow_name": "<string>",
"workflow_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_agent_key_prefix": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflow Approvals
Approve Workflow
Approve a pending workflow approval request.
Enqueues execute_approved_workflow_task so the workflow runs asynchronously. Returns 409 if the request has expired or is already in a terminal state.
POST
/
v1
/
workflow-approvals
/
{approval_uuid}
/
approve
Approve Workflow
Path Parameters
Body
application/json
Request body for POST /v1/workflow-approvals/{uuid}/approve.
⌘I

